LIKWID-SETFREQUENCIES(1)

NAME
likwid-setFrequencies - print and manage the clock frequency of hardware threads

SYNOPSIS
likwid-setFrequencies [-hvplmp] [-c <cpu_list>] [-g <governor>] [-f,--freq <frequency>] [-x,--min <min_freq>] [-y,--max <max_freq>] [-t,--turbo <0|1>] [--umin <uncore_min_freq>] [--umax <uncore_max_freq>] [--reset] [--ureset]

DESCRIPTION
likwid-setFrequencies is a command line application to set the clock frequency of hardware threads. Since only priviledged users are allowed to change the frequency of hardware threads, the application works in combination with a daemon likwid-setFreq(1). The daemon needs the suid permission bit to be set in order to manipulate the sysfs entries. With likwid-setFrequencies the clock of all hardware thread inside the cpu_list or affinity domain can be set to a specific frequency or governor at once. likwid-setFrequencies works now with the cpufreq drivers 'acpi-cpufreq' and 'intel_pstate'.

OPTIONS

-h  prints a help message to standard output, then exits

-p  prints the current frequencies for all hardware threads

-l  prints all configurable frequencies

-m  prints all configurable governors

-c <cpu_list>
    set the affinity domain where to set the frequencies. Common are N (Node), SX (Socket X), CX (Cache Group X) and MX (Memory Group X). For detailed information about affinity domains see likwid-pin(1)

-g <governor>
    set the governor of all hardware threads inside the affinity domain. Current governors are ondemand, performance, turbo. Default is ondemand

-f, --freq <frequency>
    set a fixed frequency at all hardware threads inside the affinity domain. Implicitly sets 'userspace' governor for the hardware threads when using the acpi-cpufreq driver.

-x, --min <min_freq>
    set a fixed minimal frequency at all hardware threads inside the affinity domain. Can be used in combination with a dynamic governor.

-y, --max <max_freq>
    set a fixed maximal frequency at all hardware threads inside the affinity domain. Can be used in combination with a dynamic governor.

-t, --turbo <0|1>
    deactivates/activates Turbo mode for the specified hardware threads.

--umin <uncore_min_freq>
    set the minimal frequency for the Uncore. There are no limits available, but likwid-setFrequencies allows the available minimal CPU frequency as minimal Uncore frequency. Only available for Intel architectures.

--umax <uncore_max_freq>
    set the maximal frequency for the Uncore. There are no limits available, but likwid-setFrequencies allows the available maximal CPU frequency (with a single hardware thread and Turbo) as maximal Uncore frequency. Only available for Intel architectures.

--reset
    resets the hardware threads to maximal range, deactivates Turbo mode and sets the governor to "performance", "conservative" or the last one in the governor list as fallback

--ureset
    resets the Uncore to maximal range. It uses the minimally available CPU frequency as minimal Uncore frequency and the maximally achievable CPU frequency (single core, Turbo active) as maximal Uncore frequency.

AUTHOR
Written by Thomas Gruber <thomas.roehl@googlemail.com>.

BUGS
Report Bugs on <https://github.com/RRZE-HPC/likwid/issues>.

SEE ALSO
likwid-pin(1), likwid-perfctr(1), likwid-powermeter(1)